Description

Hi there:

In QGIS versions 2.16 and above on Windows 10, the description field of the general section of metadata.txt seems not to be properly

decoded if it contains UTF-8 characters.

Please, find attached two versions of plugin SEC4QGIS . Version 1.0.2 has an Unicode character at the description, which causes QGIS

(if version >= 2.16) to crash when you run it after installing the plugin. I mean, you have to install the v1.0.2 plugin, run QGIS, close QGIS,

and run QGIS again. This is the error message I get after that sequence:

An error occurred during execution of following code:

import pyplugin_installer

UnicodeEncodeError: 'ascii' codec can't encode character u'\\xf3' in position 36: ordinal not in range(128)

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.16.2 'Nødebo', 979e1a2

And after clicking Close then this window appears next:

An error occurred during execution of following code:

pyplugin_installer.initPluginInstaller()

Traceback (most recent call last):

  File "", line 1, in 

NameError: name 'pyplugin_installer' is not defined

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.16.2 'Nødebo', 979e1a2

If you try SEC4QGIS v1.0.3 it will run without problems, and the only difference between both versions (apart from the PDF help file) is on

metadata.txt.

Curiously enough, this bug does not affect some other fields like about, which also contains Unicode characters on both versions of the

plugin.

It does not affect version 2.14 either.
History

#1 - 2016-09-07 10:21 AM - Andrés V. O.

Just a quick update:

I've found this bug on QGIS versions 2.16.1 and 2.16.2 on Windows 10.

Than you very much.

Best regards.

#2 - 2016-10-04 12:28 AM - Adam Szieberth

I can confirm this on 2.16.3 and Windows XP.

My plugin had unicode characters not in description but in about and changelog.

#3 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#4 - 2017-03-07 04:20 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Closed

- Crashes QGIS or corrupts data changed from Yes to No

- Resolution set to not reproducable

The attached plugins works without any issue in 2.18.4. Please reopen if necessary.

#5 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

Files

SEC4QGIS.v1.0.2.zip 971 KB 2016-09-07 Andrés V. O.

SEC4QGIS.v1.0.3.zip 971 KB 2016-09-07 Andrés V. O.
